Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025217
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2013-11-26 15:032013-11-28 19:57
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchpiFixed in SCM revision37745290efe5
ProjectionnoneETAnoneTarget Version3.0MP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-09-16
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/61b572f92df4 [^]
Triggers an Emergency PackNo
Summary

0025217: When using tab to save a new record in the grid, the focus does not go to the next record

DescriptionWhen the users presses the tab key in the last editable column of a grid record, one of these action should take place:
- If there are records below the record being edited, the focus goes to the next one
- If there are not any records below the record being edited, a new record is created.

This is now working for new records.
Steps To Reproduce- Open Unit of Measure
- Create a new record in the grid
- Enter the EDI Code, press tab.
- Enter the name, press tab. The focus should go to the next record, or a new record should have been created if there were none below the new record.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041016 closedcaristu creating new record in grid, empty record generated if clicking line while retrieving defaults 

-  Notes
(0062380)
AugustoMauch (developer)
2013-11-26 15:08

Repository: erp/devel/pi
Changeset: 1616c18c7e27e68e93b894b8f83f70e84255e67c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 26 15:05:49 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1616c18c7e27e68e93b894b8f83f70e84255e67c [^] [^]

Fixes issue 25214: A new record is created after tabbing out of a new grid record

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
(0062382)
shankarb (developer)
2013-11-26 16:12

Code reviewed and verified in pi changeset 1616c18c7e27.
(0062393)
sureshbabu (reporter)
2013-11-27 09:00

When we create a new record in child tab (Sales order window -- Lines tab), still the issue appears in child tab. But the fix working fine for Header tab scenario.
(0062404)
hgbot (developer)
2013-11-27 11:49

Repository: erp/devel/pi
Changeset: 37745290efe5383b3497e0c0be04b5f2e4fb04c7
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 27 11:48:07 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/37745290efe5383b3497e0c0be04b5f2e4fb04c7 [^]

Fixes issue 25217: New record is created after tabbing out of a new grid record

There was a case that was not being considered: Tabbing out of the last column in the grid, being this column a dynamic column (changing it triggers a call to the FIC), but without having changed it.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0062406)
shankarb (developer)
2013-11-27 11:55

Code reviewed and verified in pi changeset cb5135960c66.
(0062465)
hudsonbot (developer)
2013-11-28 19:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ce703e5082ac [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-26 15:03 AugustoMauch New Issue
2013-11-26 15:03 AugustoMauch Assigned To => AugustoMauch
2013-11-26 15:03 AugustoMauch Modules => Core
2013-11-26 15:03 AugustoMauch Triggers an Emergency Pack => No
2013-11-26 15:04 AugustoMauch Regression level => Production - QA Approved
2013-11-26 15:04 AugustoMauch Regression date => 2013-09-16
2013-11-26 15:04 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/61b572f92df4 [^]
2013-11-26 15:04 AugustoMauch Issue Monitored: shankarb
2013-11-26 15:04 AugustoMauch Review Assigned To => shankarb
2013-11-26 15:08 AugustoMauch Note Added: 0062380
2013-11-26 15:08 AugustoMauch Status new => scheduled
2013-11-26 15:08 AugustoMauch fix_in_branch => pi
2013-11-26 15:08 AugustoMauch Status scheduled => resolved
2013-11-26 15:08 AugustoMauch Fixed in Version => 3.0MP30
2013-11-26 15:08 AugustoMauch Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1616c18c7e27e68e93b894b8f83f70e84255e67c [^]
2013-11-26 15:08 AugustoMauch Resolution open => fixed
2013-11-26 16:12 shankarb Note Added: 0062382
2013-11-26 16:12 shankarb Status resolved => closed
2013-11-27 09:00 sureshbabu Note Added: 0062393
2013-11-27 09:00 sureshbabu Status closed => new
2013-11-27 09:00 sureshbabu Resolution fixed => open
2013-11-27 09:00 sureshbabu Fixed in Version 3.0MP30 =>
2013-11-27 11:49 hgbot Checkin
2013-11-27 11:49 hgbot Note Added: 0062404
2013-11-27 11:49 hgbot Status new => resolved
2013-11-27 11:49 hgbot Resolution open => fixed
2013-11-27 11:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/1616c18c7e27e68e93b894b8f83f70e84255e67c [^] => http://code.openbravo.com/erp/devel/pi/rev/37745290efe5383b3497e0c0be04b5f2e4fb04c7 [^]
2013-11-27 11:55 shankarb Note Added: 0062406
2013-11-27 11:55 shankarb Status resolved => closed
2013-11-27 11:55 shankarb Fixed in Version => 3.0MP30
2013-11-28 19:57 hudsonbot Checkin
2013-11-28 19:57 hudsonbot Note Added: 0062465
2019-06-07 12:07 caristu Relationship added related to 0041016


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker